<?php
namespace Teknisa\PED\Modules\Expedicao\Controllers;

    use \Teknisa\GER\Libraries\PHPMailer;
    use Teknisa\PED\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;

    class Exp02100RotaEntregaController extends TeknisaCrud {
        protected $dataSourceName = 'rotatrans';
        protected $dataSourceNameToSave = '';
        protected $exp02100RotaEntregaService;
  
        public function __construct($crudService, ParameterBag $parameterBag, $exp02100RotaEntregaService){
            parent::__construct($crudService, $parameterBag);
            $this->exp02100RotaEntregaService = $exp02100RotaEntregaService;
        }

        public function deletarRota(DTO\Request $request, DTO\Response $response){
            try {
                $rows = $request->getRow();
                $this->exp02100RotaEntregaService->deleteRota($rows);
            } catch (\Exception $e) {
                $response->setError(new Error($e->getMessage(), 500));
            }
        }
        
    }
?>